Search documentation of ExStreamClient

# ExStreamClient.Model.FlagMessageDetails (ExStreamClient v0.1.10)

View Source

Schema representing a FlagMessageDetails

# Summary

## Types

t()

## Functions

decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

nested_components()

# Types

# t()

    @type t() :: %ExStreamClient.Model.FlagMessageDetails{
      pin_changed: boolean() | nil,
      should_enrich: boolean() | nil,
      skip_push: boolean() | nil,
      updated_by_id: String.t() | nil
    }

# Functions

# decode(map)

Components could just be enums that are typed - so we need to decode those as enums as they will just be stings

# nested_components()